Bullet Collision Detection & Physics Library: HullDesc Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
HullDesc Class Reference

`#include <btConvexHull.h>`

Collaboration diagram for HullDesc:
[legend]

## Public Member Functions
| HullDesc (void)
| HullDesc (HullFlag flag, unsigned int vcount, const btVector3 *vertices, unsigned int stride=sizeof(btVector3))
bool | HasHullFlag (HullFlag flag) const
void | SetHullFlag (HullFlag flag)
void | ClearHullFlag (HullFlag flag)

## Public Attributes
unsigned int | mFlags
unsigned int | mVcount
const btVector3 * | mVertices
unsigned int | mVertexStride
btScalar | mNormalEpsilon
unsigned int | mMaxVertices
unsigned int | mMaxFaces

## Detailed Description

Definition at line 56 of file btConvexHull.h.

## Constructor & Destructor Documentation

## ◆ HullDesc() [1/2]

HullDesc::HullDesc | ( | void |  | ) |
| inline

Definition at line 59 of file btConvexHull.h.

## ◆ HullDesc() [2/2]

HullDesc::HullDesc | ( | HullFlag | flag,
|  | unsigned int | vcount,
|  | const btVector3 * | vertices,
|  | unsigned int | stride = `sizeof(btVector3)`
| ) |  |
| inline

Definition at line 70 of file btConvexHull.h.

## Member Function Documentation

## ◆ ClearHullFlag()

void HullDesc::ClearHullFlag | ( | HullFlag | flag | ) |
| inline

Definition at line 94 of file btConvexHull.h.

## ◆ HasHullFlag()

bool HullDesc::HasHullFlag | ( | HullFlag | flag | ) | const
| inline

Definition at line 83 of file btConvexHull.h.

## ◆ SetHullFlag()

void HullDesc::SetHullFlag | ( | HullFlag | flag | ) |
| inline

Definition at line 89 of file btConvexHull.h.

## Member Data Documentation

## ◆ mFlags

unsigned int HullDesc::mFlags

Definition at line 99 of file btConvexHull.h.

## ◆ mMaxFaces

unsigned int HullDesc::mMaxFaces

Definition at line 105 of file btConvexHull.h.

## ◆ mMaxVertices

unsigned int HullDesc::mMaxVertices

Definition at line 104 of file btConvexHull.h.

## ◆ mNormalEpsilon

btScalar HullDesc::mNormalEpsilon

Definition at line 103 of file btConvexHull.h.

## ◆ mVcount

unsigned int HullDesc::mVcount

Definition at line 100 of file btConvexHull.h.

## ◆ mVertexStride

unsigned int HullDesc::mVertexStride

Definition at line 102 of file btConvexHull.h.

## ◆ mVertices

const btVector3* HullDesc::mVertices

Definition at line 101 of file btConvexHull.h.

The documentation for this class was generated from the following file:

- btConvexHull.h